Subject: bug#28392: 26.0.50; gdb-mi runs into error with tramp

From: Michael Albinus <[email-masked]>
Date: Mon, 30 Nov 2020 12:48:31 +0100

Lars Ingebrigtsen <[email-masked]> writes:

Hi,

>> Steps:
>> 1. Open test.c on dev-server in emacs
>> 2. run 'M-x gdb'  gdb -i=mi test_bin and open gdb-many-window mode.
>> 3. In *gud-test* buffer, run: break 7
>> 4. Run: run and gdb stop at line 7
>> 5. Step into line 7
>>
>> But the cursor of source buffer will not move at all. And then emacs become
>> irresponsive after running several step commands. I press Ctrl-G
>> several times
>
> I vaguely remember seeing a bug report about gdb and Tramp, so this may
> or may not have been fixed in the years since this was reported.  Are
> you still seeing this problem in Emacs 28?

Bug#44151. The Tramp part is solved in Emacs' master branch, but there's
still something left for the gdb part. I've merged both bugs.

(Unfortunately, I'm not a gdb-mi.el expert).

Best regards, Michael.